Retrieve a list

Returns a list of work locations.

Tip

Check the Swagger page for more technical information on the endpoints.

Endpoint details

GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/work-locations

Headers: Authorization: Bearer {token}, User-Agent: {agent} Scope: connector-protimeapi-work-locations.read

Response properties

Field Type Required Writable Description
changeVersion string — Read-only Property to indicate the order of changes.
id integer — Read-only Unique identifier for the work location.
name.default string Yes Yes Default name of the work location.
name.translations object No Yes Translated names for supported languages.
description string No Yes Description of the work location.

Filters

This endpoint does not support filters. It always returns all work locations. A request that includes the filter query parameter is rejected with 400 Bad Request.

To retrieve one work location, use Retrieve a work location.

External references

This endpoint does not support external references.

Pagination

The endpoint supports continuation-token-based pagination. When more results are available, the response includes a nextLink containing the continuationToken query parameter for the next page.

Error responses

Status Condition
400 Unsupported query parameter, such as filter
401 Missing or invalid access token, or insufficient scope
414 Request URI too long (continuation token)

Examples

Retrieve all work locations

Example to retrieve all work locations that have been configured in Protime:

GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/work-locations